Subject: Re: [Patch 0/3] Overview, OProfile SPU event profiling support for IBM Cell processor

From: Robert Richter <[email-masked]>
Date: Mon, 12 Jan 2009 18:52:44 +0100

On 12.01.09 08:15:27, Carl Love wrote:
> 
> On Sun, 2009-01-11 at 10:31 +1100, Benjamin Herrenschmidt wrote:
> > On Thu, 2009-01-08 at 16:26 -0800, Carl Love wrote:
> > > I pulled down the git tree, compiled and installed it.  I tested it
> > > against the OProfile testsuite, which includes SPU event profiling
> > > tests.  Everything passed.  The patch I submitted was against a 2.6.26
> > > tree.  You are now on a 2.6.28 tree so perhaps that is why the patch did
> > > not apply cleanly.  The patch has been out there for some time.  
> > 
> > When you submited it on Dec 2, it should have been against whatever was
> > the latest upstream at the time, not 2.6.26.
> > 
> > Cheers,
> > Ben.
> 
> Ben, Arnd and Robert:
> 
> The patch was against the latest Arnd Cell Kernel tree at the time it
> was posted. The OProfile for cell patches have all been submitted,
> accepted by Arnd (CELL Kernel maintainer) and pushed up stream by Arnd.
> Arnd has waited for the OProfile maintainer to review and approve the
> change before Arnd would push it upstream.  

The patches are already upstream in v2.6.29-rc1. Hope this is ok. I
had added them to the oprofile tree and the tree was merged be Linus.

-Robert

> So, at this point, Robert's (OProfile kernel maintainer) and Maynard's
> (OProfile user space maintainer) approval for the patches.  
> 
> The question now goes to Arnd and Robert, who is going to push the
> patches upstream?  Looks like Robert is ready to do it, so Arnd do you
> approve the patches?  Would you like to have Robert push the patches
> upstream or would you prefer to do it?  I think we need an
> answer/agreement on this.  

Arnd, I thought the patches were ok for you. If there are still some
concerns, we have to make delta patches.

See also here:

 git log -4 -p 25006644e6042aab4bb7cdc4bfc5777cd3141df7

-Robert

-- 
Advanced Micro Devices, Inc.
Operating System Research Center
email: [email-masked]